Name:           perl-URI-Fetch
Version:        0.08
Release:        8%{?dist}
Summary:        Smart URI fetching/caching
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/URI-Fetch/
Source0:        http://www.cpan.org/authors/id/B/BT/BTROTT/URI-Fetch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
#BuildRequires: perl(Storable) 
%{?_with_network_tests:BuildRequires: perl(Test::More)}
# cpan
BuildRequires:  perl(Cache) 
BuildRequires:  perl(Class::ErrorHandler) 
BuildRequires:  perl(Compress::Zlib) 
BuildRequires:  perl(LWP) 
BuildRequires:  perl(Module::Build) 
BuildRequires:  perl(URI) 

# not picked up automagically
Requires:       perl(Class::ErrorHandler)
Requires:       perl(Compress::Zlib)

%description
URI::Fetch is a smart client for fetching HTTP pages, notably syndication
feeds (RSS, Atom, and others), in an intelligent, bandwidth and time
saving way. 

%prep
%setup -q -n URI-Fetch-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# note: the tests involve fetching from the internet; will fail in mock.
%{?_with_network_tests: ./Build test }

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.08-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.08-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.08-4
- rebuild for new perl

* Sun May 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08-3
- bump

* Sun May 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08-2
- add conditionalized br on Test::More

* Fri May 18 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- Specfile autogenerated by cpanspec 1.71.
